MsWksGraphInternal::SubDocument Class Reference documentation

Public Types | Public Member Functions | Protected Attributes | Private Member Functions | List of all members
MsWksGraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a MsWksGraph. More...

Inheritance diagram for MsWksGraphInternal::SubDocument:

## Public Types
enum | Type { RBILZone , Chart , Empty , Group , Table , TextBox , TextBoxv4 }

## Public Member Functions
| SubDocument (MsWksGraph &pars, MWAWInputStreamPtr const &input, Type type, int zoneId)
| SubDocument (MsWksGraph &pars, MWAWInputStreamPtr const &input, Type type, MWAWEntry const &entry, std::string const &frame=std::string(""))
| ~SubDocument () final
| destructor More...
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!= More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| comparison operator!= More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...
virtual void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType subDocumentType)=0
| virtual parse function More...

## Protected Attributes
MsWksGraph * | m_graphParser
| the graph parser More...
Type | m_type
| the type More...
int | m_id
| the subdocument id More...
std::string | m_frame
| the frame name: for textv4 More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
std::shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a MsWksGraph.

## Member Enumeration Documentation

## ◆ Type

enum MsWksGraphInternal::SubDocument::Type

Enumerator
RBILZone |
Chart |
Empty |
Group |
Table |
TextBox |
TextBoxv4 |

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

MsWksGraphInternal::SubDocument::SubDocument | ( | MsWksGraph & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | Type | type,
|  | int | zoneId
| ) |  |
| inline

## ◆ SubDocument() [2/3]

MsWksGraphInternal::SubDocument::SubDocument | ( | MsWksGraph & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | Type | type,
|  | MWAWEntry const & | entry,
|  | std::string const & | frame = `std::string("")`
| ) |  |
| inline

## ◆ ~SubDocument()

MsWksGraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## ◆ SubDocument() [3/3]

MsWksGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator!=()

bool MsWksGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| finalvirtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument & MsWksGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| privatedelete

## ◆ parse()

void MsWksGraphInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| finalvirtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_frame

std::string MsWksGraphInternal::SubDocument::m_frame
| protected

the frame name: for textv4

Referenced by operator!=(), and parse().

## ◆ m_graphParser

MsWksGraph* MsWksGraphInternal::SubDocument::m_graphParser
| protected

the graph parser

Referenced by operator!=(), and parse().

## ◆ m_id

int MsWksGraphInternal::SubDocument::m_id
| protected

the subdocument id

Referenced by operator!=(), and parse().

## ◆ m_type

Type MsWksGraphInternal::SubDocument::m_type
| protected

the type

Referenced by operator!=(), and parse().

The documentation for this class was generated from the following file:

- MsWksGraph.cxx